LOCKS_MANDATORY_L(9)

NAME
locks_mandatory_locked - Check for an active lock

SYNOPSIS

int locks_mandatory_locked (struct inode * inode);

ARGUMENTS

inode
    the file to check

DESCRIPTION

Searches the inode's list of locks to find any POSIX locks which conflict. This function is called from locks_verify_locked only.